#include <bits/stdc++.h>
using namespace std;

int main(int argc, char const *argv[])
{
	char c1; int a1;
	char c2; int a2;
	cin >> c1 >> c2;
	cin >> a1 >> a2;
	if (a1 > a2) {
		if (a1 - a2 == 1) {
			for (int i = 0; i < a1 + a2; i++) {
				if (i % 2) {
					cout << c1;
				}
				else {
					cout << c2;
				}
			}
		}
		else {
			cout << "nemoguce" << endl;
		}
	}
	else if (a2 > a1) {
		if (a2 - a1 == 1) {
			for (int i = 0; i < a1 + a2; i++) {
				if (i % 2) {
					cout << c2;
				}
				else {
					cout << c1;
				}
			}
		}
		else {
			cout << "nemoguce" << endl;
		}
	}
	else {
		for (int i = 0; i < a1 + a2; i++) {
			if (i % 2) {
				cout << c2;
			}
			else {
				cout << c1;
			}
		}
	}
	return 0;
}